---
apiVersion: v1

# The repository name in registry1, excluding /ironbank/
name: "opensource/git-lfs/git-lfs"

# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dsop.io
tags:
  - "2.35.1-3.1.2"

# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: "redhat/ubi/ubi8"
  BASE_TAG: "8.5"

# Docker image labels
labels:
  org.opencontainers.image.title: "git-lfs"
  ## Human-readable description of the software packaged in the image
  org.opencontainers.image.description: "Bitnami/git with Git LFS added"
  ## License(s) under which contained software is distributed
  org.opencontainers.image.licenses: "Apache License, Version 2.0"
  ## URL to find more information on the image
  org.opencontainers.image.url: "https://github.com/git-lfs/git-lfs/releases"
  ## Name of the distributing entity, organization or individual
  org.opencontainers.image.vendor: "Beast Code, LLC"
  org.opencontainers.image.version: "2.35.1-3.1.2"
  ## Keywords to help with search (ex. "cicd,gitops,golang")
  mil.dso.ironbank.image.keywords: "git, lfs, version control, red hat"
  ## This value can be "opensource" or "commercial"
  mil.dso.ironbank.image.type: "opensource"
  ## Product the image belongs to for grouping multiple images
  mil.dso.ironbank.product.name: "git-lfs"

# List of resources to make available to the offline build context
resources:
  - tag: bitnami/git:2.35.1
    url: docker://docker.io/bitnami/git@sha256:b5ea8bea886d6513c11b0e7adafe419498a2af77d62dd9f900cf2d8e87462ca4
  - filename: git-lfs-linux-amd64-v3.1.2.tar.gz
    url: https://github.com/git-lfs/git-lfs/releases/download/v3.1.2/git-lfs-linux-amd64-v3.1.2.tar.gz
    validation:
      type: sha256
      value: a10bb562658a65ad0e22f331bc43f2cb292a57d21c5b26f52794257e48fcbe10

# List of project maintainers
maintainers:
  - name: "Joel Birlingmair"
    username: "jbirlingmair"
    email: "joel.birlingmair@beast-code.com"
  - name: "Matt Stover"
    username: "mstover"
    email: "matt.stover@beast-code.com"
#   cht_member: true # FIXME: Uncomment if the maintainer is a member of CHT
# - name: "FIXME"
#   username: "FIXME"
#   email: "FIXME"
